be.cin.types.v1

## Class DetailsType

- java.lang.Object
- - be.cin.types.v1.DetailsType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:45:53+01:00",
                 comments="JAXB RI v2.3.7")
      public class DetailsType
      extends Object
      implements Serializable

  Contains a list with details of a fault.

  Java class for DetailsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DetailsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Detail" type="{urn:be:cin:types:v1}DetailType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetailsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DetailType>` | `getDetails()` Gets the value of the details property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetailsType

          public DetailsType()

  - ### Method Detail

    - #### getDetails

          public List<DetailType> getDetails()

      Gets the value of the details property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the details property.

      For example, to add a new item, do as follows:

              getDetails().add(newItem);

      Objects of the following type(s) are allowed in the list `DetailType`

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.